import request from '@/utils/require'

import { User,loginUrl ,tyshxydm,auth } from '@/api/index'


//denglu
export function userLogin(username, password) {
  return request({
    url: `${auth}/auth/login/0/${username}/${password}`,
    method: 'post',
    data: ''
  })
}
/* 用户信息*/
export function userInfo() {
  return request({
    url: `${loginUrl}/login/userinfo`,
    method: 'post',
    data: ''
  })
}
// 登出
export function logout(token) {
  return request({
    url: `${User}/user/logout`,
    method: 'post',
    params: { token }
  })
}

// 获取综合业务菜单
export function getAllmenus(codes) {
  return request({
    url: `${loginUrl}/menuPrivilege/userMenuList?resourceCode=RM1001&userId=${codes}`,
    
    // url: `${User}/roleResources/findRoleResourcesTree?roleCode=${codes}`,
    method: 'post'
  })
}
// 获取企业信息代码
export function getTyxydm(qyjgdm) {
  return request({
    url: `${tyshxydm}/organization/${qyjgdm}`,
    method: 'get'
  })
}


//导航菜单
export function getInfo() {
  return request({
    url: `${auth}/auth/getCurrUserinfo`,
    method: 'get'
  })
}

